<?php

namespace App\Console\Commands\Mass;

use App\Jobs\MassUpdate\Group1;
use App\Jobs\MassUpdate\Group2;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Bus;

class MassUpdateCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'app:mass-update';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'mass update';

    /**
     * Execute the console command.
     */
    public function handle()
    {
//        $this->group1();
        $this->group2();
    }

    private function group1(): void
    {
        Bus::chain([
            new \App\Jobs\Mass\MassUpdate\Group1\MassUpdate1Job(),
            new \App\Jobs\Mass\MassUpdate\Group1\MassUpdate2Job(),
        ])->dispatch();
    }

    private function group2()
    {
        Bus::chain([
            new \App\Jobs\Mass\MassUpdate\Group2\MassUpdate3Job(),
//            new Group2\MassUpdate4Job(),
//            new Group2\MassUpdate5Job(),
            new \App\Jobs\Mass\MassUpdate\Group2\MassUpdate6Job(),
        ])->dispatch();
    }
}


















