<?php

namespace App\Tasks\Mass\MassDelete;

use App\Tasks\Mass\MassInsert\MassInsert3Task;
use Illuminate\Support\Facades\DB;

class MassDelete3Task
{

    /**
     * insert unit
     *
     *       100 ............ 0,013 s DONE
     *     1_000 ............ 0,092 s DONE
     *    10_000 ............ 0,812 s DONE
     *   100_000 ............ 8,000 s DONE
     * 1_000_000 ........... 91,000 s DONE (1m 31s)
     *
     */
    public function handle(int $count): void
    {
        DB::beginTransaction();
        (new MassInsert3Task())->handle($count);
        DB::rollBack();
    }
}
