<?php

namespace Database\Seeders;

use App\Tasks\Mass\MassInsert\MassInsert3Task;
use Illuminate\Database\Seeder;

class TransactionSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        $count = config('app.items_count');

        if ($count === 0) {
            return;
        }

        (new MassInsert3Task())->handle($count);
    }
}
