<?php

namespace App\Database;

use App\Database\Query\Grammars\PostgresGrammar as QueryGrammar;
use Illuminate\Database\PostgresConnection as BaseDatabase;

class PostgresConnection extends BaseDatabase
{
    protected function getDefaultQueryGrammar()
    {
        ($grammar = new QueryGrammar)->setConnection($this);

        return $this->withTablePrefix($grammar);
    }

    public function massUpdate($query, $bindings = [])
    {
//        dd($query, $bindings);
        return $this->affectingStatement($query, $bindings);
    }
}
